SetFile.Reader (Hadoop 0.20.2-cdh3u1 API)
Date: 2011-07-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.io
Class SetFile.Reader

    java.lang.Object
      org.apache.hadoop.io.MapFile.Reader
          org.apache.hadoop.io.SetFile.Reader

All Implemented Interfaces:
  Closeable

Enclosing class:
  SetFile

    public static class SetFile.Reader

extends MapFile.Reader

Provide access to an existing set file.

Constructor Summary
`SetFile.Reader(FileSystem fs, String dirName, Configuration conf)` Construct a set reader for the named set.
`SetFile.Reader(FileSystem fs, String dirName, WritableComparator comparator, Configuration conf)` Construct a set reader for the named set using the named comparator.

Method Summary
`WritableComparable` | `get(WritableComparable key)` Read the matching key from a set into `key`.
`boolean` | `next(WritableComparable key)` Read the next key in a set into `key`.
`boolean` | `seek(WritableComparable key)` Positions the reader at the named key, or if none such exists, at the first entry after the named key.

Methods inherited from class org.apache.hadoop.io.MapFile.Reader
`close, createDataFileReader, finalKey, get, getClosest, getClosest, getKeyClass, getValueClass, midKey, next, open, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetFile.Reader

    public SetFile.Reader(FileSystem fs,
                          String dirName,
                          Configuration conf)
                   throws IOException

  Construct a set reader for the named set.

  Throws:
    `IOException`

### SetFile.Reader

    public SetFile.Reader(FileSystem fs,
                          String dirName,
                          WritableComparator comparator,
                          Configuration conf)
                   throws IOException

  Construct a set reader for the named set using the named comparator.

  Throws:
    `IOException`

Method Detail

### seek

    public boolean seek(WritableComparable key)
                 throws IOException

  Description copied from class: `MapFile.Reader`
  Positions the reader at the named key, or if none such exists, at the first entry after the named key. Returns true iff the named key exists in this map.

  Overrides:
    `seek` in class `MapFile.Reader`
  Throws:
    `IOException`

### next

    public boolean next(WritableComparable key)
                 throws IOException

  Read the next key in a set into `key`. Returns true if such a key exists and false when at the end of the set.

  Throws:
    `IOException`

### get

    public WritableComparable get(WritableComparable key)
                           throws IOException

  Read the matching key from a set into `key`. Returns `key`, or null if no match exists.

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation